This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1232815 - 'dnf install @group' returns error code 1 if all packages are already installed
'dnf install @group' returns error code 1 if all packages are already installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-17 10:31 EDT by Stephen Gallagher
Modified: 2015-08-10 22:08 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-1.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 22:08:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2015-06-17 10:31:39 EDT
Description of problem:
'dnf install @group' returns error code 1 if all packages are already installed

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. run 'dnf install @freeipa-server; echo $?'
2. Re-run 'dnf install @freeipa-server; echo $?'

Actual results:
Returns exit code "1"


Expected results:
Returns exit code "0" (success). This is what yum does in this situation and what DNF does if a package is specified rather than a group.

Additional info:
If *any* individual package is also on the command-line, the entire process will succeed. It appears only to happen if the whole command-line is made up of @group.
Comment 1 Stephen Gallagher 2015-06-17 10:32:04 EDT
Whoops: this was dnf-1.0.0-1.fc22.noarch
Comment 2 Michal Luscon 2015-07-01 09:43:29 EDT
Fixed in PR #305.
Comment 3 Fedora Update System 2015-07-22 04:25:24 EDT
dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22
Comment 4 Fedora Update System 2015-07-31 22:28:33 EDT
Package dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.2-3.fc22 hawkey-0.5.9-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12577/dnf-1.0.2-3.fc22,hawkey-0.5.9-3.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-10 22:08:30 EDT
dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.